# If an available /dev/loop device is
# known before running the command
# losetup /dev/loop0 floppy.img

# Use the first available /dev/loopN device
losetup -f floppy.img

# Create the filesystem
mkfs.xfs /dev/loop0

# Destroy loopback device
losetup -d /dev/loop0

# Mount the loopback image
mount -o loop -t xfs floppy.img /mnt
